Start Scrape
curl --request POST \
--url https://api.groweasy.io/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"jobTitles": [
"CEO",
"CTO",
"Founder"
],
"locations": [
"San Francisco, CA",
"New York, NY"
],
"industries": [
"Technology",
"SaaS"
],
"companySize": "11-50",
"limit": 100
},
"webhookUrl": "<string>"
}
'import requests
url = "https://api.groweasy.io/start"
payload = {
"filters": {
"jobTitles": ["CEO", "CTO", "Founder"],
"locations": ["San Francisco, CA", "New York, NY"],
"industries": ["Technology", "SaaS"],
"companySize": "11-50",
"limit": 100
},
"webhookUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
jobTitles: ['CEO', 'CTO', 'Founder'],
locations: ['San Francisco, CA', 'New York, NY'],
industries: ['Technology', 'SaaS'],
companySize: '11-50',
limit: 100
},
webhookUrl: '<string>'
})
};
fetch('https://api.groweasy.io/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"scrapeId": "scr_abc123xyz",
"status": "pending",
"estimatedCredits": 100
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}API documentation
Start Scrape
Start a new scrape job with the provided filters. Returns a scrape ID that can be used to check status.
POST
/
start
Start Scrape
Example
curl -X POST "https://api.groweasy.io/start" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"filters": {
"jobTitles": ["CEO", "Founder", "CTO"],
"locations": ["San Francisco, CA", "New York, NY"],
"industries": ["Technology", "SaaS"],
"companySize": "11-50",
"limit": 100
},
"webhookUrl": "https://yourapp.com/webhook"
}'
const response = await fetch('https://api.groweasy.io/start', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
filters: {
jobTitles: ['CEO', 'Founder', 'CTO'],
locations: ['San Francisco, CA', 'New York, NY'],
industries: ['Technology', 'SaaS'],
companySize: '11-50',
limit: 100,
},
webhookUrl: 'https://yourapp.com/webhook',
}),
});
const data = await response.json();
console.log(data.data.scrapeId); // "scr_abc123xyz"
import requests
response = requests.post(
"https://api.groweasy.io/start",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"filters": {
"jobTitles": ["CEO", "Founder", "CTO"],
"locations": ["San Francisco, CA", "New York, NY"],
"industries": ["Technology", "SaaS"],
"companySize": "11-50",
"limit": 100,
},
"webhookUrl": "https://yourapp.com/webhook",
},
)
data = response.json()
print(data["data"]["scrapeId"]) # "scr_abc123xyz"
Response
{
"success": true,
"data": {
"scrapeId": "scr_abc123xyz",
"status": "pending",
"estimatedCredits": 100
}
}
Authorizations
API key authentication. Get your API key from the GrowEasy dashboard.
Body
application/json
Scrape configuration with filters
⌘I